package com.fivegroup.common.system.remote.factory;

import com.fivegroup.common.core.domain.Result;
import com.fivegroup.common.system.remote.RemoteFileService;
import com.fivegroup.common.system.domain.SysFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * 文件服务降级处理
 *
 * @author fivegroup
 */
@Component
public class RemoteFileFallbackFactory implements FallbackFactory<RemoteFileService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteFileFallbackFactory.class);

    @Override
    public RemoteFileService create (Throwable throwable) {
        log.error("文件服务调用失败:{}", throwable.getMessage());
        return new RemoteFileService() {
            @Override
            public Result<SysFile> upload (MultipartFile file) {
                return Result.error("上传文件失败:" + throwable.getMessage());
            }
        };
    }
}
