package com.fivegroup.real.controller;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 电子围栏响应实体类
 *
 * @author ZhangXushuo
 * @version 2023/11/26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResponseFence {

    /**
     * 围栏ID
     */
    @ApiModelProperty(name = "围栏ID")
    @TableId("fence_id")
    private Integer fenceId;
    /**
     * 围栏名称
     */
    @ApiModelProperty(name = "围栏名称")
    @TableField("fence_name")
    private String fenceName;
    /**
     * 经度
     */
    @ApiModelProperty(name = "经度")
    @TableField("longitude")
    private String longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(name = "纬度")
    @TableField("dimensionality")
    private String dimensionality;
    /**
     * 围栏类型
     */
    @ApiModelProperty(name = "围栏类型")
    @TableField("frence_type_id")
    private Integer frencetypeId;
    /**
     * 围栏状态
     */
    @ApiModelProperty(name = "围栏状态")
    @TableField("frence_status")
    private Integer frenceStatus;
    /**
     * 围栏类型名字
     */
    @ApiModelProperty(name = "围栏类型名字")
    @TableField("frence_type_name")
    private String frencetypeName;
}
