package com.fivegroup.real.domain.response;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆系统响应
 *
 * @author ZhangXushuo
 * @version 2023/11/26 - 9:23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResponseCar {
    /*
     *编号
     */
    @ApiModelProperty(name = "车辆id")
    @TableField("car_id")
    private Integer carId;
    /**
     * vin
     */
    @ApiModelProperty(name = "车辆vin")
    @TableField("car_vin")
    private String carVin;
    /**
     * 车型id
     */
    @ApiModelProperty(name = "车型id")
    @TableField("car_type_id")
    private Integer cartypeId;
    /**
     * 电子围栏id
     */
    @ApiModelProperty(name = "电子围栏id")
    @TableField("fence_id")
    private Integer fenceId;
    /**
     * 车辆状态
     */
    @ApiModelProperty(name = "车辆状态")
    @TableField("car_status")
    private Integer carStatus;
    /**
     * 电机厂商
     */
    @ApiModelProperty(name = "电机厂商")
    @TableField("battery_maker_id")
    private Integer batterymakerId;
    /**
     * 电池产商
     */
    @ApiModelProperty(name = "电池产商")
    @TableField("motor_manufacturer_id")
    private Integer motormanufacturerId;
    /**
     * 电池编号
     */
    @ApiModelProperty(name = "电池编号")
    @TableField("motor_id")
    private Integer batteryId;
    /**
     * 电机编号
     */
    @ApiModelProperty(name = "电机编号")
    @TableField("battery_id")
    private Integer actuateId;
    /**
     * 运营区域
     */
    @ApiModelProperty(name = "运营区域")
    @TableField("operating_area")
    private String operatingArea;
    /**
     * 故障名称
     */
    @ApiModelProperty(name = "故障名称")
    @TableField("battery_name")
    private String batteryName;
    /**
     * 车型类型
     */
    @ApiModelProperty(name = "车型类型")
    @TableField("car_type_name")
    private Integer cartypeName;
    /**
     * 围栏名称
     */
    @ApiModelProperty(name = "围栏名称")
    @TableField("fence_name")
    private String fenceName;
    /**
     * 电机厂家名字
     */
    @ApiModelProperty(name = "电机厂家名字")
    @TableField("motor_manufacturer_name")
    private String motormanufacturerName;
    /**
     * 电池厂家名称
     */
    @ApiModelProperty(name = "电池厂家名称")
    @TableField("battery_maker_name")
    private String batterymakerName;

}
